Page MenuHomeFreeBSD

net-mgmt/zabbix22-server: Update to 2.2.18
ClosedPublic

Authored by joneum on May 28 2017, 7:25 AM.

Details

Summary
  • Update to 2.2.18

PR: 219531
Submitted by: pg@pakhom.spb.ru (maintainer)
Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

net-mgmt/zabbix22-server % portlint -AC
WARN: Makefile: [0]: possible direct use of command "cp" found. use ${CP} instead.
WARN: Makefile: possible use of absolute pathname "/etc/zabbix".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: extra item placed in the *_DEPENDS section, for example, "CONFLICTS".
0 fatal errors and 4 warnings found.

poudriere testport:

10amd64
10i386
11amd64
11i386
12.0-CURRENT r318899 amd64
12.0-CURRENT r318400 i386

Build with 3 slave ports

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joneum created this revision.May 28 2017, 7:25 AM
rene accepted this revision.May 28 2017, 4:48 PM

You can move the CONFLICTS line after the LIB_DEPENDS line (with an extra blank line) to squelch the warning about LIB_DEPENDS / CONFLICTS

This revision is now accepted and ready to land.May 28 2017, 4:48 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.May 29 2017, 10:00 PM
head/net-mgmt/zabbix22-server/Makefile
18

You should drop the -[0-9]* for each entry in the conflicts line, they add no informations and make things a bit harder to read.

tz added inline comments.May 30 2017, 7:38 AM
head/net-mgmt/zabbix22-server/Makefile
18

Also zabbix24 war removed yesterday in r442033